Autmatic Test For Two Way ANOVA.
ClosedPublic

Authored by devanshuagarwal on Jul 16 2019, 7:13 PM.

Details

Summary

Added Automatic Tests For Two Way Anova.

Diff Detail

Repository
R262 LabPlot
Lint
Lint Skipped
Unit
Unit Tests Skipped
Restricted Application added a project: KDE Edu. · View Herald TranscriptJul 16 2019, 7:13 PM
Restricted Application added a subscriber: kde-edu. · View Herald Transcript
devanshuagarwal requested review of this revision.Jul 16 2019, 7:13 PM
devanshuagarwal added a reviewer: asemke.
sgerlach added inline comments.
src/backend/hypothesisTest/HypothesisTest.cpp
304

I would suggest to use sqrt() from cmath instead of qSqrt(). What do you think?

747

you are doing a lot of basic statistical calculations. Can you check if any GSL function can be used (see https://www.gnu.org/software/gsl/doc/html/statistics.html)?

843

translation?

849

translation?

1375

check indentation

devanshuagarwal marked an inline comment as done.Jul 18 2019, 9:46 AM
devanshuagarwal added inline comments.
src/backend/hypothesisTest/HypothesisTest.cpp
304

Yes you are right.

747

The reason that I am doing so many basic calculations is to increase performance. If I will use functions then I have to call separate functions for mean, std deviation and other statistical calculations. Though asymptotically it will also end up in O(n) but for practical purposes, it will turn out to be slower as here I am transversing through the whole data only twice and there it will be f times (where f >= number of statistical calculations)

843

the translation is automatic in getHtmlTable3 function

849

It is there in getHtmlTable3 method.

1375

It is indented in the source file. I don't know why it is not shown in the differnce file.

sgerlach added inline comments.Jul 18 2019, 3:50 PM
src/backend/hypothesisTest/HypothesisTest.cpp
747

I'm not sure if i understand your argument. You don't have to calculate it f times when you save the values. Also the performance should not be a problem. I would really recommend to use GSL function to improve readability and maintainability. Of course only if it fits to the workflow. Just think about it.

843

ok

849

ok

1375

ok. This seems to happen sometimes.

devanshuagarwal marked an inline comment as done.Aug 7 2019, 6:15 PM
devanshuagarwal added inline comments.
src/backend/hypothesisTest/HypothesisTest.cpp
747

Yes, you are right. it will improve readability and maintainability. Will use gsl functions.

devanshuagarwal marked 14 inline comments as done.Aug 11 2019, 7:06 PM
sgerlach accepted this revision.Aug 16 2019, 7:31 AM
This revision is now accepted and ready to land.Aug 16 2019, 7:31 AM
sgerlach closed this revision.Sun, Aug 18, 10:00 PM